# Includes a common template
include:
 - project: 'spc/tcv/tbx/git-tools-spc'
   file: 'gitlab-ci-tbx-template.yml'

variables:
  TBXFOLDER: matlab
  MATFIRST: 902
  MATVER: 906
  TESTCASE: tcv

# no build for gdat, so don't define jobs for build phase

# test jobs
TCV-960:
  extends: .test-template
  variables:
    MATLABCMD: matlab960

TCV_IMAS-960:
  extends: .test-template
  variables:
    MATLABCMD: matlab960
    TESTCASE: tcv_imas

TCV-920:
  extends: .test-template:8.6-to-9.5
  variables:
    MATLABCMD: matlab920

TCV_IMAS-920:
  extends: .test-template:8.6-to-9.5
  variables:
    MATLABCMD: matlab920
    TESTCASE: tcv_imas

# Post test report collection
code-coverage-960:
 extends: .code-coverage-960-template

# Staging, testing and deployment for releases
pre-deployment-staging:
 extends: .staging-template

# Staging tests

#test-staging-980:
# extends: .test-staging-template
# variables:
#  MATLABCMD: matlab980

test-staging-960_tcv:
 extends: .test-staging-template
 variables:
  MATLABCMD: matlab960

test-staging-960_tcv_imas:
 extends: .test-staging-template
 variables:
  MATLABCMD: matlab960
  TESTCASE: tcv_imas

test-staging-920:
 extends: .test-staging-template
 variables:
  MATLABCMD: matlab920

# pre-deployment
pre-deployment-checks:
 extends: .pre-deployment-checks-template

# deploy
deploy:
  extends: .deploy-to-lac-template

# test post-deploy
test-post-deploy-matlab-9.2.0_tcv:
  extends: .test-post-deploy-template
  variables:
    MATLABCMD: matlab920

test-post-deploy-matlab-9.2.0_tcv_imas:
  extends: .test-post-deploy-template
  variables:
    MATLABCMD: matlab920
    TESTCASE: tcv_imas
